
// set pin numbers:
int ledPin = 4;     // the number of the LED pin
int waterPin =  5;      // the number of the water sensor pin

// variables will change:
int waterState = 0;         // variable for reading the water sensor status

void setup() {
  // initialize the LED pin as an output:
  pinMode(ledPin, OUTPUT);      
  // initialize the water sensor pin as an input:
  pinMode(waterPin, INPUT);     
}

void loop(){
  // read the state of the water sensor value:
  waterState = digitalRead(waterPin);

  // check if rainning.
  // if it is, the waterState is LOW
  if (waterState == LOW) {     
    // turn LED OFF:    
    digitalWrite(ledPin, HIGH);  
  } 
  else {
    // turn LED off:
    digitalWrite(ledPin, LOW); 
  }
}
