
// set pin numbers:
int buzzerPin = 4;     // the number of the LED pin
int flamePin =  5;      // the number of the flame sensor pin

// variables will change:
int flameState = 0;         // variable for reading the flame sensor status

void setup() {
  // initialize the buzzer pin as an output:
  pinMode(buzzerPin, OUTPUT);      
  // initialize the flame sensor pin as an input:
  pinMode(flamePin, INPUT);     
}

void loop(){
  // read the state of the flame sensor value:
  flameState = digitalRead(flamePin);

  // check if found the flame
  // if it is, the flameState is HIGH
  if (flameState == HIGH) {     
    // turn buzzer ON:    
    digitalWrite(buzzerPin, HIGH);  
  } 
  else {
    // turn buzzer off:
    digitalWrite(buzzerPin, LOW); 
  }
}
